Last Comment Bug 626999 - [tracking bug] stop loading external URLs in test suites
: [tracking bug] stop loading external URLs in test suites
Status: RESOLVED FIXED
: meta
Product: Testing
Classification: Components
Component: General (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: ---
Assigned To: Ted Mielczarek [:ted.mielczarek]
:
Mentors:
Depends on: 509966 595292 616085 626996 628866 628867 628873 628966 628970 628974 628980 628984 629851 633846 657190 663211 663372 691005 731332
Blocks: 617414
  Show dependency treegraph
 
Reported: 2011-01-19 06:04 PST by Ben Hearsum (:bhearsum)
Modified: 2012-03-23 22:32 PDT (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
mochitest-browser-chrome wireshark packet capture log (140.13 KB, application/octet-stream)
2011-01-25 17:18 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-chrome wireshark packet capture log (45.27 KB, application/octet-stream)
2011-01-26 05:22 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-1/5 wireshark packet capture log (79.82 KB, application/octet-stream)
2011-01-26 05:39 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-2/5 wireshark packet capture log (57.72 KB, application/octet-stream)
2011-01-26 06:00 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-3/5 wireshark packet capture log (48.63 KB, application/octet-stream)
2011-01-26 06:13 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-4/5 wireshark packet capture log (48.70 KB, application/octet-stream)
2011-01-26 06:34 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
mochitest-5/5 wireshark packet capture log (37.09 KB, application/octet-stream)
2011-01-26 06:34 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details
xpcshell wireshark packet capture log (98.53 KB, application/octet-stream)
2011-01-26 07:51 PST, Ted Mielczarek [:ted.mielczarek]
no flags Details

Description Ben Hearsum (:bhearsum) 2011-01-19 06:04:20 PST
This bug is a meta bug to track fixing all tests which load external URLs.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-01-25 17:18:05 PST
Created attachment 506990 [details]
mochitest-browser-chrome wireshark packet capture log

I ran mochitest-browser-chrome with Wireshark running, and here's the packet capture log. I tried to exclude my local network traffic, but a bunch of it slipped in anyway. Sorry about that.
Comment 2 Ben Hearsum (:bhearsum) 2011-01-26 04:15:15 PST
(In reply to comment #1)
> Created attachment 506990 [details]
> mochitest-browser-chrome wireshark packet capture log
> 
> I ran mochitest-browser-chrome with Wireshark running, and here's the packet
> capture log. I tried to exclude my local network traffic, but a bunch of it
> slipped in anyway. Sorry about that.

Thanks!
Comment 3 Ted Mielczarek [:ted.mielczarek] 2011-01-26 05:22:14 PST
Created attachment 507085 [details]
mochitest-chrome wireshark packet capture log

mochitest-chrome is not terribly interesting, it's got the stock live bookmarks stuff, but nothing else AFAICT.

There's an interesting request at the beginning that I didn't notice in the browser-chrome log, although I assume it's there as well. Apparently we GET http://www.mozilla.org/ looking for a microsummary or something? It looks like:

GET / HTTP/1.1
Host: www.mozilla.org
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b9pre) Gecko/20110105 Firefox/4.0b9pre
Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
Accept-Language: en-us,en;q=0.5
Accept-Encoding: gzip, deflate
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Keep-Alive: 115
Connection: keep-alive
X-Moz: microsummary
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-01-26 05:39:26 PST
Created attachment 507087 [details]
mochitest-1/5 wireshark packet capture log

Here's mochitest-1/5. There are a couple of interesting things in this log, I'll file some bugs. Conveniently, we get Referer headers when normal Mochitests do HTTP requests. :)
Comment 5 Ted Mielczarek [:ted.mielczarek] 2011-01-26 06:00:57 PST
Created attachment 507092 [details]
mochitest-2/5 wireshark packet capture log

Here's mochitest-2/5, which only seems to have one misbehaving test.
Comment 6 Ted Mielczarek [:ted.mielczarek] 2011-01-26 06:13:51 PST
Created attachment 507096 [details]
mochitest-3/5 wireshark packet capture log

mochitest-3/5 also has only one misbehaving test.
Comment 7 Ted Mielczarek [:ted.mielczarek] 2011-01-26 06:34:16 PST
Created attachment 507105 [details]
mochitest-4/5 wireshark packet capture log

mochitest-4/5 appears to have no offenders. Hooray!
Comment 8 Ted Mielczarek [:ted.mielczarek] 2011-01-26 06:34:48 PST
Created attachment 507106 [details]
mochitest-5/5 wireshark packet capture log

mochitest-5/5 has just one naughty test.
Comment 9 Ted Mielczarek [:ted.mielczarek] 2011-01-26 07:51:21 PST
Created attachment 507128 [details]
xpcshell wireshark packet capture log

reftest and crashtest were totally clean runs. Hooray! xpcshell seems to hit https://www.google.com/, but for the life of me I cannot find where that's happening.
Comment 10 Ted Mielczarek [:ted.mielczarek] 2011-01-26 08:21:51 PST
jstestbrowser and mochitest-a11y were also clean runs. I think I'm done here.
Comment 11 Shawn Wilsher :sdwilsh 2011-01-26 09:58:15 PST
(In reply to comment #3)
> There's an interesting request at the beginning that I didn't notice in the
> browser-chrome log, although I assume it's there as well. Apparently we GET
> http://www.mozilla.org/ looking for a microsummary or something? It looks like:
> 
> GET / HTTP/1.1
> Host: www.mozilla.org
> User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b9pre) Gecko/20110105
> Firefox/4.0b9pre
> Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
> Accept-Language: en-us,en;q=0.5
> Accept-Encoding: gzip, deflate
> Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
> Keep-Alive: 115
> Connection: keep-alive
> X-Moz: microsummary
I looked last night and couldn't actually find the test for this.  Starting to think maybe it's something in the browser code?
Comment 12 Ted Mielczarek [:ted.mielczarek] 2011-01-26 10:33:43 PST
Yeah, I have no idea how the microsummary code works. Presumably it's getting run on some of the default bookmarks?
Comment 13 Shawn Wilsher :sdwilsh 2011-01-26 10:50:43 PST
(In reply to comment #12)
> Yeah, I have no idea how the microsummary code works. Presumably it's getting
> run on some of the default bookmarks?
Oh!  That's possible :/
Comment 14 neil@parkwaycc.co.uk 2011-04-04 08:08:27 PDT
So will the test prefs change from a .PAC file to routing everything through the JS proxy server, allowing it to log bogus requests?
Comment 15 Ted Mielczarek [:ted.mielczarek] 2011-04-04 08:19:38 PDT
I don't know of any plans to do that at this time, but that sounds like it would be a useful path to take. See also bug 616182, which requests that we return a fixed IP for all DNS lookups controlled via a pref.
Comment 16 Ted Mielczarek [:ted.mielczarek] 2011-05-09 05:19:51 PDT
There doesn't seem to be anything left to do here. We can reopen this if something is broken in the meantime.
Comment 17 Ben Hearsum (:bhearsum) 2011-06-10 07:39:22 PDT
Re-opening because there's a couple new dependent bugs.
Comment 18 Ted Mielczarek [:ted.mielczarek] 2011-06-20 11:05:23 PDT
Fixed again. :)

Note You need to log in before you can comment on or make changes to this bug.